curl --request POST \
--url https://api.hubapi.com/crm/v3/properties/{objectType}/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"archived": true,
"dataSensitivity": "highly_sensitive",
"inputs": [
{
"name": "my_custom_property"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"displayOrder": 2,
"fieldType": "select",
"formField": true,
"groupName": "contactinformation",
"hasUniqueValue": false,
"hidden": false,
"label": "My Contact Property",
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": false,
"readOnlyOptions": false,
"readOnlyValue": false
},
"name": "my_contact_property",
"options": [
{
"description": "Choice number one",
"displayOrder": 1,
"hidden": false,
"label": "Option A",
"value": "A"
},
{
"description": "Choice number two",
"displayOrder": 2,
"hidden": false,
"label": "Option B",
"value": "B"
}
],
"type": "enumeration"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Lesen Sie eine bereitgestellte Liste mit Eigenschaften.
curl --request POST \
--url https://api.hubapi.com/crm/v3/properties/{objectType}/batch/read \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"archived": true,
"dataSensitivity": "highly_sensitive",
"inputs": [
{
"name": "my_custom_property"
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"displayOrder": 2,
"fieldType": "select",
"formField": true,
"groupName": "contactinformation",
"hasUniqueValue": false,
"hidden": false,
"label": "My Contact Property",
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": false,
"readOnlyOptions": false,
"readOnlyValue": false
},
"name": "my_contact_property",
"options": [
{
"description": "Choice number one",
"displayOrder": 1,
"hidden": false,
"label": "Option A",
"value": "A"
},
{
"description": "Choice number two",
"displayOrder": 2,
"hidden": false,
"label": "Option B",
"value": "B"
}
],
"type": "enumeration"
}
],
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z"
}Unterstützte Produkte
Erforderliche Bereiche
The access token received from the authorization server in the OAuth 2.0 flow.
Der Objekttyp, für den die Eigenschaften gelesen werden.
Gibt die Sprach- und Regionseinstellungen für die Eigenschaftswerte an.
Gibt an, ob die Eigenschaft archiviert ist.
Gibt die Vertraulichkeitsstufe der Daten an, z. B. „non_sensitive“, „sensitive“ oder „highly_sensitive“.
highly_sensitive, non_sensitive, sensitive Show child attributes
successful operation
Der Zeitstempel, der angibt, wann der Batch-Vorgang abgeschlossen wurde.
Show child attributes
Der Zeitstempel, der angibt, wann der Batch-Vorgang mit der Verarbeitung begonnen hat.
Der aktuelle Status des Batch-Vorgangs mit den möglichen Werten CANCELED, COMPLETE, PENDING oder PROCESSING.
CANCELED, COMPLETE, PENDING, PROCESSING Show child attributes
Eine Sammlung von URLs, die auf Dokumentationen oder Ressourcen verweisen, die sich auf den Batch-Vorgang beziehen.
Show child attributes
Die Gesamtanzahl der während des Batch-Vorgangs aufgetretenen Fehler.
Der Zeitstempel, der angibt, wann der Batch-Vorgang angefragt wurde.